<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: cfd_rk_solver Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">cfd_rk_solver Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a6943c7eb4bf55159f682d665e6479fcb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#a6943c7eb4bf55159f682d665e6479fcb">cfd_rk_init</a> (cfd)</td></tr>
<tr class="separator:a6943c7eb4bf55159f682d665e6479fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5d56ef4f1d37759f6e80e2c1768820"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#a5f5d56ef4f1d37759f6e80e2c1768820">cfd_rk_density_step</a> (cfd)</td></tr>
<tr class="separator:a5f5d56ef4f1d37759f6e80e2c1768820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18a35d92db01eb02741e4d68bc503ebc"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc">cfd_rk_scalar_step</a> (cfd)</td></tr>
<tr class="separator:a18a35d92db01eb02741e4d68bc503ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a967e6de997b92a9afacccb7235165ffd"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#a967e6de997b92a9afacccb7235165ffd">cfd_rk_velocity_step</a> (cfd, SKIP_RHO)</td></tr>
<tr class="separator:a967e6de997b92a9afacccb7235165ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9d493463c1862d76a6a718bec29518"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#acd9d493463c1862d76a6a718bec29518">cfd_rk_update_rhomid</a> (cfd)</td></tr>
<tr class="separator:acd9d493463c1862d76a6a718bec29518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaebeb657c19d0b1471aa7394add003f2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2">cfd_rk_update_mid_bc</a> (cfd)</td></tr>
<tr class="separator:aaebeb657c19d0b1471aa7394add003f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a253b029f686ff1f2fcf168c2b46b1d7b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecfd__rk__solver.html#a253b029f686ff1f2fcf168c2b46b1d7b">cfd_ghost_bc</a> (cfd)</td></tr>
<tr class="separator:a253b029f686ff1f2fcf168c2b46b1d7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a253b029f686ff1f2fcf168c2b46b1d7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a253b029f686ff1f2fcf168c2b46b1d7b">&#9670;&nbsp;</a></span>cfd_ghost_bc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine cfd_rk_solver::cfd_ghost_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_a253b029f686ff1f2fcf168c2b46b1d7b_icgraph.png" border="0" usemap="#namespacecfd__rk__solver_a253b029f686ff1f2fcf168c2b46b1d7b_icgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_a253b029f686ff1f2fcf168c2b46b1d7b_icgraph" id="namespacecfd__rk__solver_a253b029f686ff1f2fcf168c2b46b1d7b_icgraph">
<area shape="rect" id="node2" href="namespacecfd__rk__solver.html#aaebeb657c19d0b1471aa7394add003f2" title="cfd_rk_solver::cfd\l_rk_update_mid_bc" alt="" coords="180,5,315,47"/>
</map>
</div>

</div>
</div>
<a id="a5f5d56ef4f1d37759f6e80e2c1768820"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f5d56ef4f1d37759f6e80e2c1768820">&#9670;&nbsp;</a></span>cfd_rk_density_step()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_rk_solver::cfd_rk_density_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__hybrid__conv.html#a5ed7ee819fa5a3cfe121b111d1acbeed">cfd_hybrid_conv::cfd_hybrid_density()</a>, <a class="el" href="namespacecfd__shock__density__m.html#a139aed9908625add94e862667ce40113">cfd_shock_density_m::cfd_shock_density()</a>, <a class="el" href="namespacecfd__shock__density__m.html#a342429263a841efde2f0130628e34471">cfd_shock_density_m::cfd_shock_hyb_density()</a>, <a class="el" href="namespacevdf__ib__func.html#af95b12faf755dd5305d1f162b320e7c6">vdf_ib_func::ib_cont_eq_remove_divu()</a>, <a class="el" href="namespacevdf__ib__func.html#a4752ccd0a0be42d016b5319a00b67359">vdf_ib_func::ib_set_solid_cv()</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f">link_metric_conv_simple::link_metric_conv_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">link_metric_conv_simple::met_c</a>, <a class="el" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be">cfd_eos_interface_data::set_cfd_for_eos()</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ab91840b7e51c6ce5c357b87a3d7572a5">link_metric_conv_simple::stc1</a>, and <a class="el" href="namespacelink__metric__conv__simple.html#a31c9f4da3afdfa5a945bdb411c31d007">link_metric_conv_simple::stc2</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_a5f5d56ef4f1d37759f6e80e2c1768820_cgraph.png" border="0" usemap="#namespacecfd__rk__solver_a5f5d56ef4f1d37759f6e80e2c1768820_cgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_a5f5d56ef4f1d37759f6e80e2c1768820_cgraph" id="namespacecfd__rk__solver_a5f5d56ef4f1d37759f6e80e2c1768820_cgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__conv.html#a5ed7ee819fa5a3cfe121b111d1acbeed" title="cfd_hybrid_conv::cfd\l_hybrid_density" alt="" coords="192,853,335,895"/>
<area shape="rect" id="node32" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f" title="link_metric_conv_simple\l::link_metric_conv_to" alt="" coords="1316,1560,1481,1601"/>
<area shape="rect" id="node36" href="namespacecfd__shock__density__m.html#a139aed9908625add94e862667ce40113" title="cfd_shock_density_m\l::cfd_shock_density" alt="" coords="189,1455,338,1496"/>
<area shape="rect" id="node41" href="namespacecfd__shock__density__m.html#a342429263a841efde2f0130628e34471" title="cfd_shock_density_m\l::cfd_shock_hyb_density" alt="" coords="180,1607,347,1648"/>
<area shape="rect" id="node42" href="namespacevdf__ib__func.html#af95b12faf755dd5305d1f162b320e7c6" title="vdf_ib_func::ib_cont\l_eq_remove_divu" alt="" coords="194,1724,333,1765"/>
<area shape="rect" id="node43" href="namespacevdf__ib__func.html#a4752ccd0a0be42d016b5319a00b67359" title="vdf_ib_func::ib_set\l_solid_cv" alt="" coords="197,1789,329,1831"/>
<area shape="rect" id="node49" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="194,1855,333,1911"/>
<area shape="rect" id="node50" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be" title="cfd_eos_interface_data\l::set_cfd_for_eos" alt="" coords="185,1936,342,1977"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__conv__weno3.html#a6c297ab06dd82362aeaee29435844d2f" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_coeff" alt="" coords="415,459,585,500"/>
<area shape="rect" id="node9" href="namespacecfd__hybrid__conv__weno3.html#a29e467aab409f3075be0ee9b7d8dcabb" title="cfd_hybrid_conv_weno3\l::cfd_hybrid_weno3_flux" alt="" coords="419,820,581,861"/>
<area shape="rect" id="node10" href="namespacecfd__hybrid__conv__weno5.html#a53b4d04469f111ed15d7b1c5be7d43ac" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_coeff" alt="" coords="415,696,585,737"/>
<area shape="rect" id="node15" href="namespacecfd__hybrid__conv__weno5.html#aab4fc365cd08e39cb3e358a716e9a9a9" title="cfd_hybrid_conv_weno5\l::cfd_hybrid_weno5_flux" alt="" coords="419,951,581,992"/>
<area shape="rect" id="node16" href="namespacecfd__hybrid__conv__weno5symbo.html#ab04e88688c59f1f26c106e2361786f9b" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_coeff" alt="" coords="395,885,605,927"/>
<area shape="rect" id="node21" href="namespacecfd__hybrid__conv__weno5symbo.html#a042283c12fa674c3429446ebb9a7f3f3" title="cfd_hybrid_conv_weno5symbo\l::cfd_hybrid_weno5symbo_flux" alt="" coords="399,1112,601,1153"/>
<area shape="rect" id="node22" href="namespacecfd__hybrid__conv__weno5symoo.html#ad47f931517c8ebc101b61174560a4b08" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_coeff" alt="" coords="395,128,605,169"/>
<area shape="rect" id="node27" href="namespacecfd__hybrid__conv__weno5symoo.html#a5f521b49275d5692a09e8122103c2f72" title="cfd_hybrid_conv_weno5symoo\l::cfd_hybrid_weno5symoo_flux" alt="" coords="399,193,601,235"/>
<area shape="rect" id="node28" href="namespacecfd__shock__schemes.html#aba7b0ae349ec30ab904a0a12f2d649fc" title="cfd_shock_schemes::\linterpolatetvdu" alt="" coords="903,703,1053,744"/>
<area shape="rect" id="node30" href="namespacelink__metric__conv.html#a3978800ddb41a72b96e1376185b4a10a" title="link_metric_conv::link\l_metric_conv_to" alt="" coords="904,1484,1052,1525"/>
<area shape="rect" id="node33" href="namespacevdf__velocity.html#a31901b096a4d55d0b29b6d51df98a072" title="vdf_velocity::set_rhou_fv" alt="" coords="416,1061,584,1087"/>
<area shape="rect" id="node4" href="cfd__hybrid__conv__weno3_8f90.html#a22617f53982044a2a73090a32b2e9bea" title="apply_weno3_bc" alt="" coords="695,374,813,401"/>
<area shape="rect" id="node5" href="namespacelink__hybrid__weno3.html#ae5a58107dd3fdfb8b69ad5c37004aa94" title="link_hybrid_weno3::\llink_hybrid_weno3_to" alt="" coords="681,425,827,467"/>
<area shape="rect" id="node6" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="689,557,819,583"/>
<area shape="rect" id="node7" href="namespacecfd__hybrid__conv__weno3.html#ae7d8750fe3b316286f3854f6d39786a0" title="cfd_hybrid_conv_weno3\l::timeslopelimiter" alt="" coords="673,491,835,532"/>
<area shape="rect" id="node8" href="namespacelink__hybrid__weno3.html#a4e6b6ac4e6dd1ad161d6ba1e2fde2dca" title="link_hybrid_weno3::\lunlink_hybrid_weno3" alt="" coords="683,308,825,349"/>
<area shape="rect" id="node11" href="cfd__hybrid__conv__weno5_8f90.html#ac7166c5326e786da02bebb9cbd4d3628" title="apply_weno5_bc" alt="" coords="695,674,813,701"/>
<area shape="rect" id="node12" href="namespacelink__hybrid__weno5.html#a68bf5b362a0be00d3f8563f24bad37a0" title="link_hybrid_weno5::\llink_hybrid_weno5_to" alt="" coords="681,725,827,767"/>
<area shape="rect" id="node13" href="namespacecfd__hybrid__conv__weno5.html#abf00e5ca8af165a302c0ce5a0ae3406a" title="cfd_hybrid_conv_weno5\l::timeslopelimiter" alt="" coords="673,791,835,832"/>
<area shape="rect" id="node14" href="namespacelink__hybrid__weno5.html#a9a74c7b05d97c5bb7e7d13a215a820e8" title="link_hybrid_weno5::\lunlink_hybrid_weno5" alt="" coords="683,608,825,649"/>
<area shape="rect" id="node17" href="cfd__hybrid__conv__weno5__symbo_8f90.html#aec04893a196b3ed1003b9dfc1de536e1" title="apply_weno5symbo_bc" alt="" coords="675,922,833,949"/>
<area shape="rect" id="node18" href="namespacelink__hybrid__weno5symbo.html#a74b18f83ee1f7b5ae25f560f9f8076be" title="link_hybrid_weno5symbo\l::link_hybrid_weno5symbo_to" alt="" coords="657,973,851,1015"/>
<area shape="rect" id="node19" href="namespacecfd__hybrid__conv__weno5symbo.html#a83d9db14739aa426ba5de4ed6cf18f0e" title="cfd_hybrid_conv_weno5symbo\l::timeslopelimiter" alt="" coords="653,1039,855,1080"/>
<area shape="rect" id="node20" href="namespacelink__hybrid__weno5symbo.html#a91b6b54618c62e442055fd0f805ae9f4" title="link_hybrid_weno5symbo\l::unlink_hybrid_weno5symbo" alt="" coords="659,856,849,897"/>
<area shape="rect" id="node23" href="cfd__hybrid__conv__weno5__symoo_8f90.html#ad8b8d0c03a0847f0657f3f3d92c63c55" title="apply_weno5symoo_bc" alt="" coords="675,137,833,163"/>
<area shape="rect" id="node24" href="namespacelink__hybrid__weno5symoo.html#a2ac87e5a2a0e94eb97d0241800d40a66" title="link_hybrid_weno5symoo\l::link_hybrid_weno5symoo_to" alt="" coords="657,188,851,229"/>
<area shape="rect" id="node25" href="namespacecfd__hybrid__conv__weno5symoo.html#a7babad47c67392a3f5d829e30446d731" title="cfd_hybrid_conv_weno5symoo\l::timeslopelimiter" alt="" coords="653,5,855,47"/>
<area shape="rect" id="node26" href="namespacelink__hybrid__weno5symoo.html#aaa53e296a8df1dd5b299133019437080" title="link_hybrid_weno5symoo\l::unlink_hybrid_weno5symoo" alt="" coords="659,71,849,112"/>
<area shape="rect" id="node29" href="namespacecfd__shock__schemes.html#af39069a871ad62bba540f94822953fa0" title="cfd_shock_schemes::\lslopelimiter" alt="" coords="1109,703,1260,744"/>
<area shape="rect" id="node31" href="namespacelink__metric__conv__simple.html#aec6018f9c8c641f2c28e05aa3c087f5b" title="link_metric_conv_simple\l::link_metric_conv_to_alt" alt="" coords="1101,1521,1268,1563"/>
<area shape="rect" id="node34" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="690,1221,818,1263"/>
<area shape="rect" id="node35" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="930,1229,1026,1255"/>
<area shape="rect" id="node37" href="namespacecfd__shock__density__schemes.html#a7f326228e52bb9262bee39ea028d3dc0" title="cfd_shock_density_schemes\l::cfd_shock_density_scheme" alt="" coords="404,1455,596,1496"/>
<area shape="rect" id="node38" href="namespacecfd__shock__schemes.html#a523bf6447d713712b530cda1bacd028e" title="cfd_shock_schemes::\lcfd_shock_firstorderstag" alt="" coords="671,1156,837,1197"/>
<area shape="rect" id="node39" href="namespacecfd__shock__schemes.html#ab71d9add0c1a003f8b87d1f91f86d9de" title="cfd_shock_schemes::\lcfd_shock_muscl_cc" alt="" coords="679,1389,829,1431"/>
<area shape="rect" id="node40" href="namespacecfd__shock__density__schemes.html#a6ecf0f6f95103d8ef7a6ac87b7a1479c" title="cfd_shock_density_schemes\l::cfd_shock_density_lf" alt="" coords="659,1455,849,1496"/>
<area shape="rect" id="node44" href="namespacevdf__ib__func.html#a1466c46d9c8d761783e97c707c867eea" title="vdf_ib_func::ib_first\l_solid_cv_solved" alt="" coords="432,1789,568,1831"/>
<area shape="rect" id="node45" href="namespacevdf__ib__func.html#a37a9c2caa5d7e9fe9571d76cf44a8528" title="vdf_ib_func::ib_apply\l_sc_reconstruction" alt="" coords="427,1724,573,1765"/>
<area shape="rect" id="node46" href="namespacescalar__bc__m.html#afa64bfda38d750ab27f124ccab659cb6" title="scalar_bc_m::set_boundary\l_to_scalar" alt="" coords="663,1785,845,1827"/>
<area shape="rect" id="node47" href="namespacescalar__bc__m.html#ae10b6e5380229ab345e525b588047dc3" title="scalar_bc_m::scalar\l_boundary_ghost" alt="" coords="431,1907,569,1948"/>
<area shape="rect" id="node48" href="namespacevdf__ib__func.html#aa3258d256da9f683c9082b398fb5b65b" title="vdf_ib_func::ib_apply\l_vel_reconstruction" alt="" coords="427,1972,573,2013"/>
</map>
</div>

</div>
</div>
<a id="a6943c7eb4bf55159f682d665e6479fcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6943c7eb4bf55159f682d665e6479fcb">&#9670;&nbsp;</a></span>cfd_rk_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_rk_solver::cfd_rk_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="cfd__rk__solver_8f90.html#a334360a5a2221ebf014ed0ab24b54d9e">allocate_rk()</a>, and <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_cgraph.png" border="0" usemap="#namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_cgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_cgraph" id="namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_cgraph">
<area shape="rect" id="node2" href="cfd__rk__solver_8f90.html#a334360a5a2221ebf014ed0ab24b54d9e" title="allocate_rk" alt="" coords="185,5,271,32"/>
<area shape="rect" id="node3" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="180,56,276,83"/>
<area shape="rect" id="node4" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="324,49,455,90"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_icgraph.png" border="0" usemap="#namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_icgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_icgraph" id="namespacecfd__rk__solver_a6943c7eb4bf55159f682d665e6479fcb_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__rk__solver.html#ac5b7ce8109fab90fac2e0a9eaa3e740e" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_init" alt="" coords="180,5,323,47"/>
</map>
</div>

</div>
</div>
<a id="a18a35d92db01eb02741e4d68bc503ebc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18a35d92db01eb02741e4d68bc503ebc">&#9670;&nbsp;</a></span>cfd_rk_scalar_step()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_rk_solver::cfd_rk_scalar_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__solver__shared.html#a0b40454a80e6227b230b7b0474cc6991">cfd_solver_shared::cfd_update_energy_bc()</a>, <a class="el" href="namespacecfd__solver__shared.html#a34ad590fe7dd6ae36d08262b32f459c3">cfd_solver_shared::cfd_update_energy_source()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespacehybrid__shared__m.html#ae29dde1648811bcfd321e4c2b964068c">hybrid_shared_m::hybrid_free_memory()</a>, <a class="el" href="namespacecfd__shock__scalar.html#acbb9b68bffb6bdf6e93cf118e04b93d4">cfd_shock_scalar::scalar_cd2_sc_residual()</a>, <a class="el" href="namespacecfd__shock__scalar.html#a7a339b46f5fcf037e42911a406c185de">cfd_shock_scalar::scalar_quick_sc_residual()</a>, <a class="el" href="namespacecfd__shock__scalar.html#a5d3e31d1466f29be876778fcd2fd7e6f">cfd_shock_scalar::scalar_weno3_sc_residual()</a>, <a class="el" href="namespacecfd__shock__scalar.html#aca78d082cd551258d36e0e0e491b6e5e">cfd_shock_scalar::scalar_weno5_sc_residual()</a>, <a class="el" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be">cfd_eos_interface_data::set_cfd_for_eos()</a>, <a class="el" href="namespacevdf__velocity.html#a31901b096a4d55d0b29b6d51df98a072">vdf_velocity::set_rhou_fv()</a>, <a class="el" href="namespacevdf__velocity.html#a335e3ba84b3c0ac1e7b0f80201e5dd03">vdf_velocity::unset_rhou_fv()</a>, <a class="el" href="cfd__hybrid__rk__solver_8f90.html#a8162e0cebdb0786724764a8a10966ad0">update_da()</a>, and <a class="el" href="arts__cf__md__simulation_8f90.html#ab054f65668f8c4ecd0963e833226d728">update_div()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_a18a35d92db01eb02741e4d68bc503ebc_cgraph.png" border="0" usemap="#namespacecfd__rk__solver_a18a35d92db01eb02741e4d68bc503ebc_cgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_a18a35d92db01eb02741e4d68bc503ebc_cgraph" id="namespacecfd__rk__solver_a18a35d92db01eb02741e4d68bc503ebc_cgraph">
<area shape="rect" id="node2" href="namespacecfd__solver__shared.html#a0b40454a80e6227b230b7b0474cc6991" title="cfd_solver_shared::\lcfd_update_energy_bc" alt="" coords="193,99,346,141"/>
<area shape="rect" id="node9" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="903,285,999,312"/>
<area shape="rect" id="node11" href="namespacecfd__solver__shared.html#a34ad590fe7dd6ae36d08262b32f459c3" title="cfd_solver_shared::\lcfd_update_energy_source" alt="" coords="180,1317,359,1358"/>
<area shape="rect" id="node17" href="namespacehybrid__shared__m.html#ae29dde1648811bcfd321e4c2b964068c" title="hybrid_shared_m::hybrid\l_free_memory" alt="" coords="187,1382,351,1423"/>
<area shape="rect" id="node18" href="namespacecfd__shock__scalar.html#acbb9b68bffb6bdf6e93cf118e04b93d4" title="cfd_shock_scalar::scalar\l_cd2_sc_residual" alt="" coords="186,1186,353,1227"/>
<area shape="rect" id="node35" href="namespacecfd__shock__scalar.html#a7a339b46f5fcf037e42911a406c185de" title="cfd_shock_scalar::scalar\l_quick_sc_residual" alt="" coords="186,933,353,974"/>
<area shape="rect" id="node40" href="namespacecfd__shock__scalar.html#a5d3e31d1466f29be876778fcd2fd7e6f" title="cfd_shock_scalar::scalar\l_weno3_sc_residual" alt="" coords="186,1025,353,1066"/>
<area shape="rect" id="node43" href="namespacecfd__shock__scalar.html#aca78d082cd551258d36e0e0e491b6e5e" title="cfd_shock_scalar::scalar\l_weno5_sc_residual" alt="" coords="186,1251,353,1293"/>
<area shape="rect" id="node46" href="namespacecfd__eos__interface__data.html#a60b808438e677ee9a4bb1e0c2c7a33be" title="cfd_eos_interface_data\l::set_cfd_for_eos" alt="" coords="191,1447,348,1489"/>
<area shape="rect" id="node47" href="namespacevdf__velocity.html#a31901b096a4d55d0b29b6d51df98a072" title="vdf_velocity::set_rhou_fv" alt="" coords="415,248,583,275"/>
<area shape="rect" id="node48" href="namespacevdf__velocity.html#a335e3ba84b3c0ac1e7b0f80201e5dd03" title="vdf_velocity::unset\l_rhou_fv" alt="" coords="433,299,565,341"/>
<area shape="rect" id="node49" href="cfd__hybrid__rk__solver_8f90.html#a8162e0cebdb0786724764a8a10966ad0" title="update_da" alt="" coords="228,1513,311,1540"/>
<area shape="rect" id="node50" href="arts__cf__md__simulation_8f90.html#ab054f65668f8c4ecd0963e833226d728" title="update_div" alt="" coords="227,1564,312,1591"/>
<area shape="rect" id="node3" href="arts__cf__molecular__eos_8f90.html#a97ebccf47df2bff1f1981cc8f991f4ef" title="eos_t_bc_from_p" alt="" coords="438,5,561,32"/>
<area shape="rect" id="node4" href="arts__cf__molecular__eos_8f90.html#af020c5e5edbeee3fbb278f32c18950f7" title="eos_t_bc_from_e" alt="" coords="438,56,561,83"/>
<area shape="rect" id="node6" href="arts__cf__molecular__eos_8f90.html#a276681f36ff61c6e840cb949f345f77a" title="eos_p_bc_from_t" alt="" coords="438,107,561,133"/>
<area shape="rect" id="node7" href="arts__cf__molecular__eos_8f90.html#a8ada1f2024ccce8aa4c3293e8569487a" title="eos_e_bc_from_t" alt="" coords="438,157,561,184"/>
<area shape="rect" id="node5" href="namespacearts__cf__molecular__eos.html#a7c5e34cbe96c59e9e8b7c456c2950321" title="arts_cf_molecular_eos\l::arts_cf_t_bc_from_e" alt="" coords="653,49,807,90"/>
<area shape="rect" id="node8" href="namespacearts__cf__molecular__eos.html#a5fb4b1b0efd6bfc12931c35f7c4de014" title="arts_cf_molecular_eos\l::arts_cf_e_bc_from_t" alt="" coords="653,131,807,173"/>
<area shape="rect" id="node10" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1085,278,1216,319"/>
<area shape="rect" id="node12" href="namespaceenergy__tools__m.html#a24e385b409184b2690aa011378f46d50" title="energy_tools_m::energy\l_eq_update_source" alt="" coords="419,1830,580,1871"/>
<area shape="rect" id="node13" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="1268,1764,1407,1820"/>
<area shape="rect" id="node14" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f" title="link_metric_conv_simple\l::link_metric_conv_to" alt="" coords="868,1881,1033,1922"/>
<area shape="rect" id="node15" href="namespacelink__metric__visc__simple.html#a7299a3f3ff2abb97b265a9f834972522" title="link_metric_visc_simple\l::link_metric_visc_to" alt="" coords="870,1946,1031,1987"/>
<area shape="rect" id="node16" href="namespaceenergy__tools__m.html#a49624a2593097f83e46b5248c42cbc27" title="energy_tools_m::energy\l_eq_update_rhs" alt="" coords="649,1830,811,1871"/>
<area shape="rect" id="node19" href="namespacelink__sd.html#ae60c9cd8348f84a7c715287498288623" title="link_sd::link_sd_to" alt="" coords="434,1284,565,1311"/>
<area shape="rect" id="node23" href="namespacelink__metric__generic.html#a4174267708c28fcd358fb4fe18b12e13" title="link_metric_generic\l::link_metric_generic_to" alt="" coords="871,1365,1031,1406"/>
<area shape="rect" id="node25" href="namespacescalar__cd2__func.html#a262d18c5b090a79ef72e1433b1e0ad91" title="scalar_cd2_func::scalar\l_cd2_operator" alt="" coords="419,1218,579,1259"/>
<area shape="rect" id="node29" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="421,1116,578,1143"/>
<area shape="rect" id="node30" href="ale__scalar_8f90.html#af430fb7af8f1dc40baa82687e3a1ecdd" title="apply_bc" alt="" coords="462,1167,537,1193"/>
<area shape="rect" id="node31" href="namespacecfd__shock__scalar__schemes.html#a5edfe3bca726a0533e40ca4dff1cedcd" title="cfd_shock_scalar_schemes\l::cfd_shock_scalar_scheme" alt="" coords="407,1335,592,1377"/>
<area shape="rect" id="node33" href="namespacecfd__hybrid__conv.html#a7de390e919ecb1406d0263f88acd2f94" title="cfd_hybrid_conv::cfd\l_hybrid_scalar" alt="" coords="428,1050,571,1091"/>
<area shape="rect" id="node34" href="namespacescalar__cd2__func.html#a415b3d5f98775d59e164143275a5779b" title="scalar_cd2_func::scalar\l_cd2_free_memory" alt="" coords="419,1453,579,1494"/>
<area shape="rect" id="node20" href="namespacelink__partition.html#a80c874965306080521411b5c4725e958" title="link_partition::link\l_partition_to" alt="" coords="669,1205,791,1246"/>
<area shape="rect" id="node21" href="namespacelink__geometry.html#a414b35fc02467135477daee3901f0e1e" title="link_geometry::link\l_geometry_to" alt="" coords="665,1270,795,1311"/>
<area shape="rect" id="node22" href="namespacelink__masks.html#a6d5f311b77771cc521bb3d1b50c608fa" title="link_masks::link_masks_to" alt="" coords="640,1153,820,1180"/>
<area shape="rect" id="node24" href="namespacelink__metric__generic__simple.html#aa0831b85cdbf713a91c91308827a70b9" title="link_metric_generic\l_simple::link_metric\l_generic_to_alt" alt="" coords="1081,1529,1220,1585"/>
<area shape="rect" id="node26" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="664,823,796,865"/>
<area shape="rect" id="node27" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="663,940,797,996"/>
<area shape="rect" id="node28" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="648,889,812,916"/>
<area shape="rect" id="node32" href="namespacecfd__shock__schemes.html#a523bf6447d713712b530cda1bacd028e" title="cfd_shock_schemes::\lcfd_shock_firstorderstag" alt="" coords="647,1335,813,1377"/>
<area shape="rect" id="node36" href="namespacescalar__quick__func.html#ab5a63f4f35bef272be93fc0d4965e915" title="scalar_quick_func::\lscalar_quick_coeff" alt="" coords="432,467,567,509"/>
<area shape="rect" id="node37" href="namespacescalar__bc__m.html#a6fe324335a738fc85ab17490a72eab7b" title="scalar_bc_m::scalar\l_bc_coeff_mixed" alt="" coords="430,882,569,923"/>
<area shape="rect" id="node39" href="namespacescalar__quick__func.html#aea68da8d4d095e99cabf53855c182eb8" title="scalar_quick_func::\lscalar_quick_free_memory" alt="" coords="410,533,589,574"/>
<area shape="rect" id="node38" href="namespaceparser.html#a2204d5324b210ab1dc9803a58db1c814" title="parser::get_logical\l_param" alt="" coords="666,249,794,290"/>
<area shape="rect" id="node41" href="namespacescalar__weno3__func.html#abca989a7ee3b7e42c4956d95bcfa92ee" title="scalar_weno3_func::\lscalar_weno3_coeff" alt="" coords="428,751,571,793"/>
<area shape="rect" id="node42" href="namespacescalar__weno3__func.html#a5ad48a48a2e421f692fe092182df3ea5" title="scalar_weno3_func::\lscalar_weno3_free_memory" alt="" coords="407,817,592,858"/>
<area shape="rect" id="node44" href="namespacescalar__weno5__func.html#a90cfdf9ee05544bd0c390a954cefe517" title="scalar_weno5_func::\lscalar_weno5_coeff" alt="" coords="428,1687,571,1729"/>
<area shape="rect" id="node45" href="namespacescalar__weno5__func.html#abed9e16d52c57520b66885bdfda2fbe2" title="scalar_weno5_func::\lscalar_weno5_free_memory" alt="" coords="407,1570,592,1611"/>
</map>
</div>

</div>
</div>
<a id="aaebeb657c19d0b1471aa7394add003f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaebeb657c19d0b1471aa7394add003f2">&#9670;&nbsp;</a></span>cfd_rk_update_mid_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_rk_solver::cfd_rk_update_mid_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__rk__solver.html#a253b029f686ff1f2fcf168c2b46b1d7b">cfd_ghost_bc()</a>, <a class="el" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98">cfd_rk_nscbc_m::cfd_rk_nscbc()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="cfd__rk__solver_8f90.html#a181925f7a74c1de0f0f619e59e5fa4c5">update_mid_bc_interp()</a>, and <a class="el" href="cfd__rk__solver_8f90.html#a2b9ed8bb29117cc9eb4556237603ae85">update_mid_bc_subiteration()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_aaebeb657c19d0b1471aa7394add003f2_cgraph.png" border="0" usemap="#namespacecfd__rk__solver_aaebeb657c19d0b1471aa7394add003f2_cgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_aaebeb657c19d0b1471aa7394add003f2_cgraph" id="namespacecfd__rk__solver_aaebeb657c19d0b1471aa7394add003f2_cgraph">
<area shape="rect" id="node2" href="namespacecfd__rk__solver.html#a253b029f686ff1f2fcf168c2b46b1d7b" title="cfd_rk_solver::cfd\l_ghost_bc" alt="" coords="217,607,343,648"/>
<area shape="rect" id="node3" href="namespacecfd__rk__nscbc__m.html#a8df1faf026a86c9093623d9b85a68a98" title="cfd_rk_nscbc_m::cfd\l_rk_nscbc" alt="" coords="208,672,352,713"/>
<area shape="rect" id="node31" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1193,829,1289,855"/>
<area shape="rect" id="node49" href="cfd__rk__solver_8f90.html#a181925f7a74c1de0f0f619e59e5fa4c5" title="update_mid_bc_interp" alt="" coords="205,1181,355,1207"/>
<area shape="rect" id="node50" href="cfd__rk__solver_8f90.html#a2b9ed8bb29117cc9eb4556237603ae85" title="update_mid_bc_subiteration" alt="" coords="188,1231,372,1258"/>
<area shape="rect" id="node4" href="namespacenscbc__shared__m.html#a42a5771a20d235c893d7055f6ea5f9f5" title="nscbc_shared_m::build\l_face_div" alt="" coords="449,307,605,348"/>
<area shape="rect" id="node5" href="namespacenscbc__shared__m.html#a9fc3599f4c1c961862feb6f67c4214ed" title="nscbc_shared_m::compute_dudx" alt="" coords="420,373,635,399"/>
<area shape="rect" id="node6" href="namespacenscbc__shared__alt__m.html#a23e054e176988ccc4fee88620e89b61a" title="nscbc_shared_alt_m\l::compute_dudx_alt" alt="" coords="456,424,599,465"/>
<area shape="rect" id="node7" href="namespacenscbc__shared__m.html#a02ed2fdbbf4d3df12c494138049ad20f" title="nscbc_shared_m::compute\l_rhop_gradient" alt="" coords="438,176,617,217"/>
<area shape="rect" id="node15" href="namespacenscbc__shared__alt__m.html#a5d50669250c199d441899de526e526ef" title="nscbc_shared_alt_m\l::compute_rhop_gradient_alt" alt="" coords="434,241,621,283"/>
<area shape="rect" id="node17" href="namespacenscbc__shared__m.html#a997ce16082293cbfe47f02ad54c6955c" title="nscbc_shared_m::compute_ui" alt="" coords="429,490,625,517"/>
<area shape="rect" id="node19" href="namespacenscbc__shared__m.html#a650a079baa13bb075c4a0f9a201ed72f" title="nscbc_shared_m::nscbc\l_get_buffers" alt="" coords="445,672,609,713"/>
<area shape="rect" id="node20" href="namespacenscbc__shared__m.html#ae69b954bee6459e80309542b8e957a31" title="nscbc_shared_m::nscbc\l_return_buffers" alt="" coords="445,737,609,779"/>
<area shape="rect" id="node21" href="namespacenscbc__shared__m.html#a0be6a51868ec605b0e1b8e962b2df1c3" title="nscbc_shared_m::nscbc\l_update_n_boundary" alt="" coords="445,803,609,844"/>
<area shape="rect" id="node23" href="namespacecfd__rk__nscbc__m.html#ab9653496b0ac59fb20716c243d588872" title="cfd_rk_nscbc_m::rk\l_nscbc_inlet_outlet" alt="" coords="459,607,596,648"/>
<area shape="rect" id="node37" href="namespacecfd__rk__nscbc__alt__m.html#a42af4e7d99b5453b6c8274a7e8f323d9" title="cfd_rk_nscbc_alt_m\l::rk_nscbc_inlet_outlet_alt" alt="" coords="440,541,615,583"/>
<area shape="rect" id="node42" href="namespacenscbc__shared__m.html#a6a830b24a25877c65a12f14b7e546902" title="nscbc_shared_m::set\l_flag_for_nscbc_cvs" alt="" coords="454,933,601,975"/>
<area shape="rect" id="node43" href="namespacenscbc__shared__alt__m.html#ac8265d453827334c4624f935cde17ba2" title="nscbc_shared_alt_m\l::set_flag_for_nscbc\l_cvs_alt" alt="" coords="456,999,599,1055"/>
<area shape="rect" id="node44" href="namespacetiming__func.html#a776e2a5455103b78c7a9a26f1e638f1c" title="timing_func::timing\l_start" alt="" coords="461,868,593,909"/>
<area shape="rect" id="node48" href="namespacetiming__func.html#aa639b61a260c425d315e0a03a7095b5f" title="timing_func::timing_stop" alt="" coords="445,1079,609,1106"/>
<area shape="rect" id="node8" href="namespacenscbc__shared__m.html#ac9c1e20d01f9ae689f6e1c79d9f4e7b9" title="nscbc_shared_m::set\l_fa_flag_for_gradient" alt="" coords="705,176,851,217"/>
<area shape="rect" id="node9" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="711,95,845,151"/>
<area shape="rect" id="node10" href="namespacemetric__scalar__func.html#ad3b97c94dfab95661d3bc618a7d60ad6" title="metric_scalar_func\l::metric_scalar_bc_metric" alt="" coords="927,103,1099,144"/>
<area shape="rect" id="node11" href="namespacebc__metric__func.html#a61842eb68dd63aa27606403d6421bd85" title="bc_metric_func::bc\l_metric_set_stencil" alt="" coords="1174,5,1309,47"/>
<area shape="rect" id="node12" href="namespacebc__metric__func.html#aa952d541dbd708d1cb739ada359d89d1" title="bc_metric_func::add\l_bc_metric" alt="" coords="1171,71,1311,112"/>
<area shape="rect" id="node13" href="metric__generic_8f90.html#a4eeacb9a87e8187b107af5ac88d63d6d" title="bc_metric_allocate\l_ops_s" alt="" coords="1176,136,1307,177"/>
<area shape="rect" id="node14" href="metric__generic_8f90.html#ae42bba4be35922b0fdc967113b1f4b59" title="bc_metric_resize_ops_s" alt="" coords="1160,202,1323,229"/>
<area shape="rect" id="node16" href="namespacenscbc__shared__alt__m.html#a57c04a7507c9900cefb320cdbb3f2134" title="nscbc_shared_alt_m\l::set_fa_flag_for_gradient_alt" alt="" coords="683,241,873,283"/>
<area shape="rect" id="node18" href="tools_2sd2plot_2sd2plot_8f90.html#ae6f662261894a85f67c12ba16d05f7d1" title="interpolate_ui" alt="" coords="729,391,827,418"/>
<area shape="rect" id="node22" href="namespacenscbc__defs.html#a5ebf0fd4ff65f87cdd6c3a2be9e2059b" title="nscbc_defs::set_default\l_nscbc" alt="" coords="697,807,859,848"/>
<area shape="rect" id="node24" href="cfd__cn__nscbc__m_8f90.html#ad163a5b5fece764d039951594e69f5ea" title="inlet_nscbc" alt="" coords="734,493,822,519"/>
<area shape="rect" id="node29" href="cfd__rk__nscbc__m_8f90.html#ae0e6dad2b7816d346346585cbd44dff6" title="outlet_normal_nscbc" alt="" coords="707,755,849,782"/>
<area shape="rect" id="node33" href="cfd__cn__nscbc__m_8f90.html#ae92bff1d682ff6d8c4f31ed88e359e1a" title="outlet_scalar_cbc" alt="" coords="716,653,840,679"/>
<area shape="rect" id="node35" href="cfd__cn__nscbc__m_8f90.html#a7077c1e855f673775879a3120de17537" title="outlet_ued_cbc" alt="" coords="957,661,1068,687"/>
<area shape="rect" id="node36" href="cfd__cn__nscbc__m_8f90.html#a7398b755d515885758be6de42388f889" title="outlet_ued_nscbc" alt="" coords="951,610,1075,637"/>
<area shape="rect" id="node25" href="cfd__cn__nscbc__m_8f90.html#a3281905f27aa52f99a31824ba17995d2" title="inlet_ued_nscbc" alt="" coords="955,427,1071,454"/>
<area shape="rect" id="node27" href="namespacenscbc__shared__m.html#a921519747b35733f64e288d4dde8dc3f" title="nscbc_shared_m::nscbc\l_limit_diff" alt="" coords="931,479,1095,520"/>
<area shape="rect" id="node28" href="namespacenscbc__shared__m.html#af13065118be32300af9a5f83e2a35d3b" title="nscbc_shared_m::nscbc\l_update_options_inlet" alt="" coords="931,361,1095,403"/>
<area shape="rect" id="node26" href="namespacenscbc__shared__m.html#a95d11f846cd8ff7c553dca7a9e8ef63d" title="nscbc_shared_m::compute\l_p_gradient_fa" alt="" coords="1152,512,1331,553"/>
<area shape="rect" id="node30" href="namespacenscbc__shared__m.html#ada8e43c347b01748f26f9d679f889081" title="nscbc_shared_m::boundary\l_interp_pinf" alt="" coords="921,763,1104,804"/>
<area shape="rect" id="node32" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1379,821,1509,863"/>
<area shape="rect" id="node34" href="namespacenscbc__shared__m.html#a6f4b7443bcccd1fba26726e230c2ba21" title="nscbc_shared_m::update\l_convective_u_cbc" alt="" coords="1157,679,1325,720"/>
<area shape="rect" id="node38" href="cfd__rk__nscbc__alt__m_8f90.html#ab0b9361eb9861a5bfe5471827f553fa4" title="check_switch_pressure_bdry" alt="" coords="683,442,873,469"/>
<area shape="rect" id="node40" href="cfd__cn__nscbc__m_8f90.html#a8a741e77f0984d2d617788701755dea0" title="outlet_nscbc" alt="" coords="730,551,826,578"/>
<area shape="rect" id="node39" href="cfd__rk__nscbc__alt__m_8f90.html#a1264fa12095a4004e3f3412e01a06350" title="calc_t_avg_near_bdry" alt="" coords="938,310,1087,337"/>
<area shape="rect" id="node41" href="namespacenscbc__shared__m.html#a36a5608ef687bd572399c7d1c6f671c4" title="nscbc_shared_m::nscbc\l_update_options_outlet" alt="" coords="931,544,1095,585"/>
<area shape="rect" id="node45" href="namespacetiming__func.html#ad9ca8eb5f3e74371804090961642e350" title="timing_func::timing\l_find_timer" alt="" coords="712,959,844,1000"/>
<area shape="rect" id="node46" href="nga__func_8f90.html#aee41a5c53bddcfa0c97c3013b50fc977" title="die" alt="" coords="993,966,1032,993"/>
<area shape="rect" id="node47" href="namespaceparallel__m.html#a0d5c44f41dcecb4b8722abd7ea3523fb" title="parallel_m::parallel_kill" alt="" coords="1165,966,1318,993"/>
</map>
</div>

</div>
</div>
<a id="acd9d493463c1862d76a6a718bec29518"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd9d493463c1862d76a6a718bec29518">&#9670;&nbsp;</a></span>cfd_rk_update_rhomid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_rk_solver::cfd_rk_update_rhomid </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacevdf__velocity.html#a2f1e7460eb47e34d1c7dd34cc7cabbc5">vdf_velocity::update_boundary_rhomid_neumann()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_cgraph.png" border="0" usemap="#namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_cgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_cgraph" id="namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_cgraph">
<area shape="rect" id="node2" href="namespacevdf__velocity.html#a2f1e7460eb47e34d1c7dd34cc7cabbc5" title="vdf_velocity::update\l_boundary_rhomid_neumann" alt="" coords="185,115,373,157"/>
<area shape="rect" id="node3" href="namespacevdf__velocity.html#a479dac265f7fbeafdff1ad7302948ccb" title="vdf_velocity::update\l_rhomid_fa" alt="" coords="421,115,560,157"/>
<area shape="rect" id="node4" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="621,5,760,61"/>
<area shape="rect" id="node5" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f" title="link_metric_conv_simple\l::link_metric_conv_to" alt="" coords="608,86,773,127"/>
<area shape="rect" id="node6" href="vdf__velocity_8f90.html#a82bcb04b0cb04c98f1286a505521b2d6" title="do_standard" alt="" coords="644,152,737,179"/>
<area shape="rect" id="node7" href="vdf__velocity_8f90.html#a7128053ac54828554b51614424768e49" title="do_hybrid" alt="" coords="651,203,730,229"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_icgraph.png" border="0" usemap="#namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_icgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_icgraph" id="namespacecfd__rk__solver_acd9d493463c1862d76a6a718bec29518_icgraph">
<area shape="rect" id="node2" href="namespacecfd__hybrid__rk__solver.html#a4744a273b270ca5203f9edb052e2b753" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_update\l_rho_fa" alt="" coords="185,5,340,61"/>
<area shape="rect" id="node5" href="namespacecfd__rk__solver.html#a967e6de997b92a9afacccb7235165ffd" title="cfd_rk_solver::cfd\l_rk_velocity_step" alt="" coords="199,86,326,127"/>
<area shape="rect" id="node3" href="namespacecfd__hybrid__rk__solver.html#aa607ea300661f353cfc7ffe48fc0d864" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_velocity_step" alt="" coords="388,13,580,54"/>
<area shape="rect" id="node4" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="628,13,771,54"/>
</map>
</div>

</div>
</div>
<a id="a967e6de997b92a9afacccb7235165ffd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a967e6de997b92a9afacccb7235165ffd">&#9670;&nbsp;</a></span>cfd_rk_velocity_step()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public cfd_rk_solver::cfd_rk_velocity_step </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcfd__defs_1_1cfd__.html">cfd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>cfd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>SKIP_RHO</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecfd__rk__solver.html#acd9d493463c1862d76a6a718bec29518">cfd_rk_update_rhomid()</a>, <a class="el" href="namespacecfd__velocity.html#a0d540940828423ef5c676c84ed326878">cfd_velocity::cfd_velocity_da_rhs_u()</a>, <a class="el" href="namespacecfd__velocity.html#a644f1551944e54d5b451622aaaaf5b39">cfd_velocity::cfd_velocity_da_rhs_v()</a>, <a class="el" href="namespacecfd__velocity.html#a4c4f21b45bef68cc69fc7972df1b4145">cfd_velocity::cfd_velocity_da_rhs_w()</a>, <a class="el" href="namespacecfd__velocity.html#ac6ef15cdd029dc172544c035b0c2b4bc">cfd_velocity::cfd_velocity_rhs_u()</a>, <a class="el" href="namespacecfd__velocity.html#a1774ca4c189436eda5dbadad8104c28e">cfd_velocity::cfd_velocity_rhs_v()</a>, <a class="el" href="namespacecfd__velocity.html#a5614bc767771e56b1153bd946b902ceb">cfd_velocity::cfd_velocity_rhs_w()</a>, <a class="el" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba">get_buffers()</a>, <a class="el" href="namespacevdf__ib__func.html#a4fc9109cd0c646d82a0795497e3950e5">vdf_ib_func::ib_remove_dpdx_solid_cv()</a>, <a class="el" href="namespacevdf__ib__func.html#a4752ccd0a0be42d016b5319a00b67359">vdf_ib_func::ib_set_solid_cv()</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f">link_metric_conv_simple::link_metric_conv_to()</a>, <a class="el" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba">link_metric_generic_simple::link_metric_generic_to()</a>, <a class="el" href="namespacelink__metric__visc__simple.html#a7299a3f3ff2abb97b265a9f834972522">link_metric_visc_simple::link_metric_visc_to()</a>, <a class="el" href="namespacelink__velocity.html#a4a4407aff7523c4580b084bb3ea2be6f">link_velocity::link_velocity_to_vdf()</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a57325473b0387a493b72d400d589e684">link_metric_conv_simple::met_c</a>, <a class="el" href="namespacevelocity__work__data.html#a91e012ebc0873865174242e703746b11">velocity_work_data::resu</a>, <a class="el" href="namespacevelocity__work__data.html#a8632e657c1186a67ef76a1b0e58e2fe9">velocity_work_data::resv</a>, <a class="el" href="namespacevelocity__work__data.html#a926703de7e9979168bf4e02ef0362efe">velocity_work_data::resw</a>, <a class="el" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99">return_buffers()</a>, <a class="el" href="namespacelink__velocity.html#a045328c403288fdcd02a52c2d9d174fe">link_velocity::rho_x</a>, <a class="el" href="namespacelink__velocity.html#a13cecbc4f7d71ecdc59a2ac37d8bad37">link_velocity::rho_y</a>, <a class="el" href="namespacelink__velocity.html#aca1831f41c9deffcc6bd5673303f961e">link_velocity::rho_z</a>, <a class="el" href="namespacelink__velocity.html#a627c4be61a53c20a62f5e34eeaccddcb">link_velocity::rhou</a>, <a class="el" href="namespacelink__velocity.html#ab01c58630e7d3934b323498e4e7b6e17">link_velocity::rhov</a>, <a class="el" href="namespacelink__velocity.html#aa22dfd885c068f824ba904d01af2166d">link_velocity::rhow</a>, <a class="el" href="namespacelink__metric__conv__simple.html#a0fbcf58828d3d76f292c2630f2e856e3">link_metric_conv_simple::st1r</a>, <a class="el" href="namespacelink__metric__conv__simple.html#ab5e7608eac8ad70b696f9d6fb4f1515f">link_metric_conv_simple::st2r</a>, <a class="el" href="namespacelink__velocity.html#aaf14cf79c936209b2ea1ae5de5161ee3">link_velocity::u</a>, <a class="el" href="namespacelink__velocity.html#a98cf7f44ff369b0d8d953c7615f0c48b">link_velocity::uold</a>, <a class="el" href="cfd__hybrid__rk__solver_8f90.html#a8162e0cebdb0786724764a8a10966ad0">update_da()</a>, <a class="el" href="arts__cf__md__simulation_8f90.html#ab054f65668f8c4ecd0963e833226d728">update_div()</a>, <a class="el" href="namespacelink__velocity.html#aab907a6bc81ce474f1030edb82d2f7b6">link_velocity::v</a>, <a class="el" href="namespacelink__velocity.html#a1207053cd8b4477a7193ba42cb8308d9">link_velocity::vold</a>, <a class="el" href="namespacelink__velocity.html#a98781506cd5b8300bcff4058f9ffbca6">link_velocity::w</a>, and <a class="el" href="namespacelink__velocity.html#aeefd8feb736ca18e732092721752d523">link_velocity::wold</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecfd__rk__solver_a967e6de997b92a9afacccb7235165ffd_cgraph.png" border="0" usemap="#namespacecfd__rk__solver_a967e6de997b92a9afacccb7235165ffd_cgraph" alt=""/></div>
<map name="namespacecfd__rk__solver_a967e6de997b92a9afacccb7235165ffd_cgraph" id="namespacecfd__rk__solver_a967e6de997b92a9afacccb7235165ffd_cgraph">
<area shape="rect" id="node2" href="namespacecfd__rk__solver.html#acd9d493463c1862d76a6a718bec29518" title="cfd_rk_solver::cfd\l_rk_update_rhomid" alt="" coords="199,123,331,164"/>
<area shape="rect" id="node5" href="namespacelink__metric__generic__simple.html#ab8f161972844e950767ee55d83a58eba" title="link_metric_generic\l_simple::link_metric\l_generic_to" alt="" coords="879,69,1017,125"/>
<area shape="rect" id="node6" href="namespacelink__metric__conv__simple.html#ae0ab537cdad5d77f75e9026ba6ec795f" title="link_metric_conv_simple\l::link_metric_conv_to" alt="" coords="865,160,1031,202"/>
<area shape="rect" id="node7" href="namespacecfd__velocity.html#a0d540940828423ef5c676c84ed326878" title="cfd_velocity::cfd_velocity\l_da_rhs_u" alt="" coords="180,371,351,412"/>
<area shape="rect" id="node11" href="namespacecfd__velocity.html#a644f1551944e54d5b451622aaaaf5b39" title="cfd_velocity::cfd_velocity\l_da_rhs_v" alt="" coords="180,656,351,698"/>
<area shape="rect" id="node15" href="namespacecfd__velocity.html#a4c4f21b45bef68cc69fc7972df1b4145" title="cfd_velocity::cfd_velocity\l_da_rhs_w" alt="" coords="180,852,351,894"/>
<area shape="rect" id="node19" href="namespacecfd__velocity.html#ac6ef15cdd029dc172544c035b0c2b4bc" title="cfd_velocity::cfd_velocity\l_rhs_u" alt="" coords="180,470,351,511"/>
<area shape="rect" id="node26" href="namespacecfd__velocity.html#a1774ca4c189436eda5dbadad8104c28e" title="cfd_velocity::cfd_velocity\l_rhs_v" alt="" coords="180,755,351,796"/>
<area shape="rect" id="node33" href="namespacecfd__velocity.html#a5614bc767771e56b1153bd946b902ceb" title="cfd_velocity::cfd_velocity\l_rhs_w" alt="" coords="180,918,351,959"/>
<area shape="rect" id="node38" href="ale__scalar_8f90.html#ac6574167e8f9f174bf4016a902efe6ba" title="get_buffers" alt="" coords="222,984,309,1010"/>
<area shape="rect" id="node39" href="namespacevdf__ib__func.html#a4fc9109cd0c646d82a0795497e3950e5" title="vdf_ib_func::ib_remove\l_dpdx_solid_cv" alt="" coords="187,1035,344,1076"/>
<area shape="rect" id="node41" href="namespacevdf__ib__func.html#a4752ccd0a0be42d016b5319a00b67359" title="vdf_ib_func::ib_set\l_solid_cv" alt="" coords="199,1100,331,1142"/>
<area shape="rect" id="node46" href="namespacelink__metric__visc__simple.html#a7299a3f3ff2abb97b265a9f834972522" title="link_metric_visc_simple\l::link_metric_visc_to" alt="" coords="185,1166,346,1207"/>
<area shape="rect" id="node47" href="namespacelink__velocity.html#a4a4407aff7523c4580b084bb3ea2be6f" title="link_velocity::link\l_velocity_to_vdf" alt="" coords="204,1231,327,1272"/>
<area shape="rect" id="node48" href="ale__scalar_8f90.html#a3791a4a93d6ae72ee1f859b5d88ffa99" title="return_buffers" alt="" coords="214,1297,317,1324"/>
<area shape="rect" id="node49" href="cfd__hybrid__rk__solver_8f90.html#a8162e0cebdb0786724764a8a10966ad0" title="update_da" alt="" coords="224,1348,307,1374"/>
<area shape="rect" id="node50" href="arts__cf__md__simulation_8f90.html#ab054f65668f8c4ecd0963e833226d728" title="update_div" alt="" coords="223,1398,308,1425"/>
<area shape="rect" id="node3" href="namespacevdf__velocity.html#a2f1e7460eb47e34d1c7dd34cc7cabbc5" title="vdf_velocity::update\l_boundary_rhomid_neumann" alt="" coords="399,123,587,164"/>
<area shape="rect" id="node4" href="namespacevdf__velocity.html#a479dac265f7fbeafdff1ad7302948ccb" title="vdf_velocity::update\l_rhomid_fa" alt="" coords="657,123,795,164"/>
<area shape="rect" id="node8" href="namespacevelocity__divadv.html#a09eac7e43f54ed358e4aa9f2bf4b1728" title="velocity_divadv::velocity\l_da_rhs_u" alt="" coords="410,306,575,347"/>
<area shape="rect" id="node9" href="namespacevelocity__div.html#a844b33d212682619d7c7b439bce4b9c2" title="velocity_div::velocity\l_flux_u_bc" alt="" coords="654,306,798,347"/>
<area shape="rect" id="node10" href="namespacevelocity__divadv.html#ab797f8ca439b48d7d89fb9657229eee1" title="velocity_divadv::velocity\l_da_rhs_u_bc" alt="" coords="643,240,809,282"/>
<area shape="rect" id="node12" href="namespacevelocity__divadv.html#afd94acae9aaa5c3853e8788228cb0fae" title="velocity_divadv::velocity\l_da_rhs_v" alt="" coords="410,591,575,632"/>
<area shape="rect" id="node13" href="namespacevelocity__div.html#a5c26c97f8ceb7066bdc9442160f860b6" title="velocity_div::velocity\l_flux_v_bc" alt="" coords="654,648,798,690"/>
<area shape="rect" id="node14" href="namespacevelocity__divadv.html#a0b553a3d0b82fc25a6abc86a278bf515" title="velocity_divadv::velocity\l_da_rhs_v_bc" alt="" coords="643,583,809,624"/>
<area shape="rect" id="node16" href="namespacevelocity__divadv.html#a1ca0d9c555387f5cbf6d07fd4161212f" title="velocity_divadv::velocity\l_da_rhs_w" alt="" coords="410,852,575,894"/>
<area shape="rect" id="node17" href="namespacevelocity__div.html#ae82bb0004046cd1c788455c8c05734f6" title="velocity_div::velocity\l_flux_w_bc" alt="" coords="654,991,798,1032"/>
<area shape="rect" id="node18" href="namespacevelocity__divadv.html#aef6efcda37662ffaa460f5868e18ddce" title="velocity_divadv::velocity\l_da_rhs_w_bc" alt="" coords="643,926,809,967"/>
<area shape="rect" id="node20" href="namespacecfd__shock__velocity.html#a321ee63013613b341b4790a3569cceea" title="cfd_shock_velocity\l::cfd_velocity_rhs_symm_u" alt="" coords="401,436,584,478"/>
<area shape="rect" id="node24" href="namespacevelocity__div.html#a81fa0647398f436c8cbb751eac5ab978" title="velocity_div::velocity\l_rhs_u" alt="" coords="421,371,565,412"/>
<area shape="rect" id="node25" href="namespacevelocity__div.html#a29c4488199b8e0ec9b2a78db24ee86d0" title="velocity_div::reset\l_resu_bc_face" alt="" coords="429,502,557,543"/>
<area shape="rect" id="node21" href="namespacecfd__shock__velocity__schemes.html#a3c974cf69a58d89ca25c5118945be10a" title="cfd_shock_velocity\l_schemes::cfd_shock\l_u_scheme" alt="" coords="651,502,801,558"/>
<area shape="rect" id="node22" href="namespacecfd__hybrid__conv.html#a5808c7311096a110dcc04b2134e8b196" title="cfd_hybrid_conv::cfd\l_hybrid_uvelocity" alt="" coords="655,436,797,478"/>
<area shape="rect" id="node23" href="namespacevelocity__div.html#ae277118d16e82f834b1a8f884a0fec38" title="velocity_div::velocity\l_rhs_u_bc" alt="" coords="654,371,798,412"/>
<area shape="rect" id="node27" href="namespacecfd__shock__velocity.html#ae03bf5ef844082085a1dcc3c04d8b79b" title="cfd_shock_velocity\l::cfd_velocity_rhs_symm_v" alt="" coords="401,722,584,763"/>
<area shape="rect" id="node31" href="namespacevelocity__div.html#a7165df6186f96f89a2b7f26811a8b21e" title="velocity_div::velocity\l_rhs_v" alt="" coords="421,656,565,698"/>
<area shape="rect" id="node32" href="namespacevelocity__div.html#a2efb0f77426c510dd982143dcc9094be" title="velocity_div::reset\l_resv_bc_face" alt="" coords="429,787,557,828"/>
<area shape="rect" id="node28" href="namespacecfd__shock__velocity__schemes.html#ab43604bf126bee5f5e00d74f806bd70f" title="cfd_shock_velocity\l_schemes::cfd_shock\l_v_scheme" alt="" coords="651,845,801,901"/>
<area shape="rect" id="node29" href="namespacecfd__hybrid__conv.html#a76d53c9de0b2f86b86ef04ca4cb5b6d5" title="cfd_hybrid_conv::cfd\l_hybrid_vvelocity" alt="" coords="655,779,797,820"/>
<area shape="rect" id="node30" href="namespacevelocity__div.html#ae5d08c6c75cd55280a27f6b684db6037" title="velocity_div::velocity\l_rhs_v_bc" alt="" coords="654,714,798,755"/>
<area shape="rect" id="node34" href="namespacecfd__shock__velocity.html#a7fad8d66dcc8638615048a477b0be4f2" title="cfd_shock_velocity\l::cfd_velocity_rhs_symm_w" alt="" coords="400,983,585,1024"/>
<area shape="rect" id="node36" href="namespacevelocity__div.html#ab127e6caf304f2a627a2b8bc3a3685d4" title="velocity_div::velocity\l_rhs_w" alt="" coords="421,918,565,959"/>
<area shape="rect" id="node37" href="namespacevelocity__div.html#a22101ea0ea3b40b997bc32ac20ab163e" title="velocity_div::reset\l_resw_bc_face" alt="" coords="429,1048,557,1090"/>
<area shape="rect" id="node35" href="namespacecfd__shock__velocity__schemes.html#ac25418b6f59403659bc64163480b26e6" title="cfd_shock_velocity\l_schemes::cfd_shock\l_w_scheme" alt="" coords="651,1057,801,1113"/>
<area shape="rect" id="node40" href="namespacevdf__ib__func.html#a1466c46d9c8d761783e97c707c867eea" title="vdf_ib_func::ib_first\l_solid_cv_solved" alt="" coords="425,1114,561,1155"/>
<area shape="rect" id="node42" href="namespacevdf__ib__func.html#a37a9c2caa5d7e9fe9571d76cf44a8528" title="vdf_ib_func::ib_apply\l_sc_reconstruction" alt="" coords="420,1231,565,1272"/>
<area shape="rect" id="node43" href="namespacescalar__bc__m.html#afa64bfda38d750ab27f124ccab659cb6" title="scalar_bc_m::set_boundary\l_to_scalar" alt="" coords="635,1202,817,1243"/>
<area shape="rect" id="node44" href="namespacescalar__bc__m.html#ae10b6e5380229ab345e525b588047dc3" title="scalar_bc_m::scalar\l_boundary_ghost" alt="" coords="423,1296,562,1338"/>
<area shape="rect" id="node45" href="namespacevdf__ib__func.html#aa3258d256da9f683c9082b398fb5b65b" title="vdf_ib_func::ib_apply\l_vel_reconstruction" alt="" coords="420,1362,565,1403"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
